# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# =========
#
# Fuseki service configuration / unit file for systemd
#
# Usage:
# ------
#
# 1. Place this file under /etc/systemd/system/
# 2. Create a system user called "fuseki" and make sure it has permission
#    to access the Fuseki configuration and databases
# 3. Adjust the paths and other settings below if necessary
# 4. Activate using: sudo systemctl enable fuseki.service

[Unit]
Description=Protege 3.5

[Service]
# Edit environment variables to match your installation
Environment=PROTEGE_HOME={{ protege_dir }}
Environment=PROTEGE_RMI_PORT={{ protege_rmi_port }}
Environment=SERVER_IP={{ ansible_default_ipv4.address }} 
Environment=PROTEGE_DATA={{ protege_assetstore }}/data
Environment=TRANSFORM_HOME=/opt/tools-protege-momayo/
Environment=SAXON_HOME={{ saxon_home }}
# Edit the line below to adjust the amount of memory allocated to Fuseki
# Edit to match your installation
WorkingDirectory={{ protege_tools }}protege.service/
ExecStartPre=/usr/bin/ant pullAndMerge
ExecStart={{ protege_dir }}/run_protege_server.sh
# Run as user "protege"
User={{ worker_name  }}
TimeoutSec=720

Restart=on-failure

RemainAfterExit=true
RestartSec=10
ExecStop={{ protege_dir }}/shutdown_protege_server.sh {{ ansible_default_ipv4.address }}:{{ protege_rmi_port }} 
WorkingDirectory={{ protege_tools }}protege.service
ExecStop=/usr/bin/ant

[Install]
WantedBy=multi-user.target
